datablock ItemData( armorKevlarItem : hammerItem )
{
	category = "Item";
	shapeFile = "./kevlar.dts";

	uiName = "Kevlar Vest";
	//iconName = "./kevlar.png";

	isArmor = true; 
	health = 100; // Health of the armor
	divider = 0.2; // How much does it nerf the damage dealt. Example: 20 

	doColorShift = true;
	colorShiftColor = "0.25 0.25 0.4 1.0";

	image = armorKevlarImage;
	canDrop = true;
};

datablock shapeBaseImageData( armorKevlarImage )
{
	shapeFile = "./kevlar.dts";

	mountPoint = 0;

	doColorShift = true;
	colorShiftColor = armorKevlarItem.colorShiftColor;

	item = armorKevlarItem;

	className = "WeaponImage";
	armReady = true;

	stateName[0]					= "Activate";
	stateTimeoutValue[0]			= 0.5;
	stateTransitionOnTimeout[0]		= "Ready";


	stateName[1] 					= "Ready";
	stateScript[1]					= "onUse";
	stateTransitionOnTriggerDown[1]	= "Fire";
	stateAllowImageChange[1]		= true;


	stateName[2]					= "Fire";
	stateTransitionOnTriggerUp[2]	= "Ready";
	stateScript[2]					= "onFire";
};


datablock shapeBaseImageData( armorKevlarEquippedImage )
{
	shapeFile = "./kevlar.dts";

	mountPoint = 2;
	offset = "0 0.05 -0.25";

	eyeOffset = "-9999 -9999 -9999";

	doColorShift = true;
	colorShiftColor = armorKevlarItem.colorShiftColor;

	className = "WeaponImage";
	armReady = false;
};

function armorKevlarImage::onFire( %this, %obj, %slot )
{
	%data = %this.item;

	if( !%data.isArmor )
	{
		return;
	}

	%obj.unmountimage( 2 );
	%obj.mountimage( armorKevlarEquippedImage, 2 );
	serverPlay3d( cssEquipSound, %obj.getHackPosition() );

	%obj.armor = %data.health;
	%obj.armorDivider = %data.divider;
	%obj.armored = true;

	messageClient( %obj.client, 'MsgItemPickup', '', %obj.currTool, 0 );
	%obj.tool[ %obj.currTool ] = 0;
	serverCmdUnUseTool( %obj.client );
}

function armorKevlarEquippedImage::onUnMount( %this, %obj )
{
	%obj.armor = "";
	%obj.armorDivider = "";
	%obj.armored = false;
}
